# -*- coding: utf-8 -*-
"""
Created on Sat Dec  7 09:49:16 2024

@author: mstep
"""

import math

def multifactorial_name(n, k=1):
        return f'{n}{"!" * k}'

def multifactorial_products(n, k=1):
    return ' × '.join([str(i) for i in range(n, 1, - k)])

def multifactorial(n, k=1):
    return math.prod([i for i in range(n, 1, - k)])


n = 12
for k in range(1, n):
    name = multifactorial_name(n, k)
    products = multifactorial_products(n, k)
    result = multifactorial(n, k)

    print(f'{name:<{n+1}} = {products:<44} = {result}')

